# Retrieve Mobile App Config Bundle Returns all the settings necessary for a mobile app to run. Requires an API token with the "Mobile App" scope. The base rate limit of an organization with one location is 75 requests per 10 minutes. Endpoint: GET /v2/mobile-app-config Version: v2 Security: ApiKeySecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" ## Response 200 fields (application/json): - `orgId` (string, required) Org ID that this mobile app will use. - `orderChannels` (array, required) The order channels that the mobile app could place orders for. Currently limited to web. Enum: "catering", "flash", "kiosk", "linebuster", "web" - `fulfillmentMethods` (array, required) The fulfillment methods that the mobile app should offer to the user. - `homeScreenImages` (array) A list of images to be shown on the home screen of the mobile app. - `homeScreenImages.image` (array, required) Home screen image - `homeScreenImages.image.url` (string, required) Image URL - `homeScreenImages.image.width` (integer, required) Image width in px - `homeScreenImages.image.height` (integer, required) Image height in px - `homeScreenImages.availability` (object) Details about when this image should be displayed - `homeScreenImages.availability.dateRanges` (array) If specified, then this image can only be shown during one of the listed date ranges. If no date ranges are listed, then the image can be shown at all dates. - `homeScreenImages.availability.dateRanges.from` (integer, required) Unix timestamp for the start of the date range. - `homeScreenImages.availability.dateRanges.to` (integer, required) Unix timestamp for the end of the date range. - `homeScreenImages.availability.daySchedules` (array) If specified, then this image can only be shown during one of the listed day schedules (on a specific day, between specific hours). - `homeScreenImages.availability.daySchedules.weekday` (string, required) Denotes the day of the week. Enum: "mon", "tue", "wed", "thu", "fri", "sat", "sun" - `homeScreenImages.availability.daySchedules.schedules` (array, required) A list of time ranges for this day in hours and minutes - `homeScreenImages.availability.daySchedules.schedules.from` (object, required) - `homeScreenImages.availability.daySchedules.schedules.from.hours` (integer, required) - `homeScreenImages.availability.daySchedules.schedules.from.minutes` (integer, required) - `homeScreenImages.availability.daySchedules.schedules.to` (object, required) - `contactUsInfo` (object) Contact information that can be used to contact the brand about any issues with the ordering experience. - `contactUsInfo.email` (string, required) - `contactUsInfo.phoneNumber` (string, required) Must be a valid phone number under the North American Numbering Plan. Must be formatted as a string of 10 digits. - `sidebarLinks` (array) A list of links to display in the sidebar of the app (e.g. Privacy Policy, Terms of Service). - `sidebarLinks.title` (string, required) Link title - `sidebarLinks.url` (string, required) Link URL - `sidebarLinks.target` (string) Describes how the url should be opened: * external-browser - In the user's default browser on their phone (e.g. open a 3rd party catering website) * internal-browser - In an in-app webview (e.g. for terms of service or nutritional info) * share-dialog - In a share dialog Enum: "external-browser", "internal-browser", "share-dialog" - `policyLinks` (array) A list of policy links to display within the app (e.g. Privacy Policy, Terms of Service). - `socialMediaLinks` (array) A list of links to the brand's social media accounts to display within the app (e.g. Twitter, IG). - `socialMediaLinks.icon` (array, required) Link icon ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 429 fields ## Response 500 fields